# BuildAction

interface BuildAction<T> : Serializable

An action that executes against a Gradle build and produces a result of type `T`.

You can execute a `BuildAction` using the action method.

#### Since

1.8

#### Parameters

<T>

The type of result produced by this action.

## Functions

execute
Link copied to clipboard
abstract fun execute(controller: BuildController): T
Executes this action and returns the result.